diff --git a/drivers/gpu/drm/rockchip/rockchip_vop_reg.h b/drivers/gpu/drm/rockchip/rockchip_vop_reg.h
index 6e9fa5815..ffd49a862 100644
--- a/drivers/gpu/drm/rockchip/rockchip_vop_reg.h
+++ b/drivers/gpu/drm/rockchip/rockchip_vop_reg.h
@@ -113,6 +113,11 @@
 #define RK3288_DSP_VACT_ST_END			0x0194
 #define RK3288_DSP_VS_ST_END_F1			0x0198
 #define RK3288_DSP_VACT_ST_END_F1		0x019c
+
+#define RK3288_BCSH_COLOR_BAR			0x01b0
+#define RK3288_BCSH_BCS				0x01b4
+#define RK3288_BCSH_H				0x01b8
+#define RK3288_GRF_SOC_CON15			0x03a4
 /* register definition end */
 
 /* rk3368 register definition */
@@ -300,6 +305,7 @@
 #define RK3368_CABC_GAMMA_LUT_ADDR		0x1800
 #define RK3368_MCU_BYPASS_WPORT			0x2200
 #define RK3368_MCU_BYPASS_RPORT			0x2300
+#define RK3368_GRF_SOC_CON6			0x0418
 /* rk3368 register definition end */
 
 #define RK3366_REG_CFG_DONE			0x0000
@@ -628,6 +634,7 @@
 #define RK3399_YUV2YUV_WIN			0x02c0
 #define RK3399_YUV2YUV_POST			0x02c4
 #define RK3399_AUTO_GATING_EN			0x02cc
+#define RK3399_DBG_POST_REG1			0x036c
 #define RK3399_WIN0_CSC_COE			0x03a0
 #define RK3399_WIN1_CSC_COE			0x03c0
 #define RK3399_WIN2_CSC_COE			0x03e0
@@ -798,6 +805,21 @@
 #define RK3328_DBG_POST_RESERVED		0x000006ec
 #define RK3328_DBG_DATAO			0x000006f0
 #define RK3328_DBG_DATAO_2			0x000006f4
+#define RK3328_SDR2HDR_CTRL			0x00000700
+#define RK3328_SDR2HDR_EOTF_OETF_Y0		0x00000704
+#define RK3328_SDR2HDR_EOTF_OETF_Y1		0x00000710
+#define RK3328_SDR2HDR_OETF_DX_DXPOW1		0x00000810
+#define RK3328_SDR2HDR_OETF_XN1			0x00000910
+
+#define RK3328_HDR2DR_CTRL			0x00000a10
+#define RK3328_HDR2DR_SRC_RANGE			0x00000a14
+#define RK3328_HDR2DR_NORMFACEETF		0x00000a18
+#define RK3328_HDR2DR_DST_RANGE			0x00000a20
+#define RK3328_HDR2DR_NORMFACGAMMA		0x00000a24
+#define RK3328_HDR2SDR_EETF_OETF_Y0		0x00000a28
+#define RK3328_HDR2DR_SAT_Y0			0x00000a2C
+#define RK3328_HDR2SDR_EETF_OETF_Y1		0x00000a30
+#define RK3328_HDR2DR_SAT_Y1			0x00000ab0
 
 /* sdr to hdr */
 #define RK3328_SDR2HDR_CTRL			0x00000700
@@ -830,6 +852,7 @@
 #define RK3036_SYS_CTRL			0x00
 #define RK3036_DSP_CTRL0		0x04
 #define RK3036_DSP_CTRL1		0x08
+#define RK3036_INT_SCALER		0x0c
 #define RK3036_INT_STATUS		0x10
 #define RK3036_ALPHA_CTRL		0x14
 #define RK3036_WIN0_COLOR_KEY		0x18
@@ -870,112 +893,6 @@
 #define RK3036_HWC_LUT_ADDR		0x800
 /* rk3036 register definition end */
 
-/* rk3126 register definition */
-#define RK3126_WIN1_MST			0x4c
-#define RK3126_WIN1_DSP_INFO		0x50
-#define RK3126_WIN1_DSP_ST		0x54
-/* rk3126 register definition end */
-
-/* px30 register definition */
-#define PX30_REG_CFG_DONE			0x00000
-#define PX30_VERSION				0x00004
-#define PX30_DSP_BG				0x00008
-#define PX30_MCU_CTRL				0x0000c
-#define PX30_SYS_CTRL0				0x00010
-#define PX30_SYS_CTRL1				0x00014
-#define PX30_SYS_CTRL2				0x00018
-#define PX30_DSP_CTRL0				0x00020
-#define PX30_DSP_CTRL2				0x00028
-#define PX30_VOP_STATUS				0x0002c
-#define PX30_LINE_FLAG				0x00030
-#define PX30_INTR_EN				0x00034
-#define PX30_INTR_CLEAR				0x00038
-#define PX30_INTR_STATUS			0x0003c
-#define PX30_WIN0_CTRL0				0x00050
-#define PX30_WIN0_CTRL1				0x00054
-#define PX30_WIN0_COLOR_KEY			0x00058
-#define PX30_WIN0_VIR				0x0005c
-#define PX30_WIN0_YRGB_MST0			0x00060
-#define PX30_WIN0_CBR_MST0			0x00064
-#define PX30_WIN0_ACT_INFO			0x00068
-#define PX30_WIN0_DSP_INFO			0x0006c
-#define PX30_WIN0_DSP_ST			0x00070
-#define PX30_WIN0_SCL_FACTOR_YRGB		0x00074
-#define PX30_WIN0_SCL_FACTOR_CBR		0x00078
-#define PX30_WIN0_SCL_OFFSET			0x0007c
-#define PX30_WIN0_ALPHA_CTRL			0x00080
-#define PX30_WIN1_CTRL0				0x00090
-#define PX30_WIN1_CTRL1				0x00094
-#define PX30_WIN1_VIR				0x00098
-#define PX30_WIN1_MST				0x000a0
-#define PX30_WIN1_DSP_INFO			0x000a4
-#define PX30_WIN1_DSP_ST			0x000a8
-#define PX30_WIN1_COLOR_KEY			0x000ac
-#define PX30_WIN1_ALPHA_CTRL			0x000bc
-#define PX30_HWC_CTRL0				0x000e0
-#define PX30_HWC_CTRL1				0x000e4
-#define PX30_HWC_MST				0x000e8
-#define PX30_HWC_DSP_ST				0x000ec
-#define PX30_HWC_ALPHA_CTRL			0x000f0
-#define PX30_DSP_HTOTAL_HS_END			0x00100
-#define PX30_DSP_HACT_ST_END			0x00104
-#define PX30_DSP_VTOTAL_VS_END			0x00108
-#define PX30_DSP_VACT_ST_END			0x0010c
-#define PX30_DSP_VS_ST_END_F1			0x00110
-#define PX30_DSP_VACT_ST_END_F1			0x00114
-#define PX30_BCSH_CTRL				0x00160
-#define PX30_BCSH_COL_BAR			0x00164
-#define PX30_BCSH_BCS				0x00168
-#define PX30_BCSH_H				0x0016c
-#define PX30_FRC_LOWER01_0			0x00170
-#define PX30_FRC_LOWER01_1			0x00174
-#define PX30_FRC_LOWER10_0			0x00178
-#define PX30_FRC_LOWER10_1			0x0017c
-#define PX30_FRC_LOWER11_0			0x00180
-#define PX30_FRC_LOWER11_1			0x00184
-#define PX30_MCU_RW_BYPASS_PORT			0x0018c
-#define PX30_WIN2_CTRL0				0x00190
-#define PX30_WIN2_CTRL1				0x00194
-#define PX30_WIN2_VIR0_1			0x00198
-#define PX30_WIN2_VIR2_3			0x0019c
-#define PX30_WIN2_MST0				0x001a0
-#define PX30_WIN2_DSP_INFO0			0x001a4
-#define PX30_WIN2_DSP_ST0			0x001a8
-#define PX30_WIN2_COLOR_KEY			0x001ac
-#define PX30_WIN2_ALPHA_CTRL			0x001bc
-#define PX30_BLANKING_VALUE			0x001f4
-#define PX30_FLAG_REG_FRM_VALID			0x001f8
-#define PX30_FLAG_REG				0x001fc
-#define PX30_HWC_LUT_ADDR			0x00600
-#define PX30_GAMMA_LUT_ADDR			0x00a00
-/* px30 register definition end */
-
-/* rk3188 register definition */
-#define RK3188_SYS_CTRL			0x00
-#define RK3188_DSP_CTRL0		0x04
-#define RK3188_DSP_CTRL1		0x08
-#define RK3188_INT_STATUS		0x10
-#define RK3188_WIN0_YRGB_MST0		0x20
-#define RK3188_WIN0_CBR_MST0		0x24
-#define RK3188_WIN0_YRGB_MST1		0x28
-#define RK3188_WIN0_CBR_MST1		0x2c
-#define RK3188_WIN_VIR			0x30
-#define RK3188_WIN0_ACT_INFO		0x34
-#define RK3188_WIN0_DSP_INFO		0x38
-#define RK3188_WIN0_DSP_ST		0x3c
-#define RK3188_WIN0_SCL_FACTOR_YRGB	0x40
-#define RK3188_WIN0_SCL_FACTOR_CBR	0x44
-#define RK3188_WIN1_MST			0x4c
-#define RK3188_WIN1_DSP_INFO		0x50
-#define RK3188_WIN1_DSP_ST		0x54
-#define RK3188_DSP_HTOTAL_HS_END	0x6c
-#define RK3188_DSP_HACT_ST_END		0x70
-#define RK3188_DSP_VTOTAL_VS_END	0x74
-#define RK3188_DSP_VACT_ST_END		0x78
-#define RK3188_REG_CFG_DONE		0x90
-/* rk3188 register definition end */
-
-/* rk3066 register definition */
 #define RK3066_SYS_CTRL0		0x00
 #define RK3066_SYS_CTRL1		0x04
 #define RK3066_DSP_CTRL0		0x08
